Bug 824233 - Stick to IANA standard while allocating brick ports
Stick to IANA standard while allocating brick ports
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: protocol (Show other bugs)
mainline
Unspecified Unspecified
medium Severity high
: ---
: ---
Assigned To: Amar Tumballi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-22 23:29 EDT by Amar Tumballi
Modified: 2014-05-08 02:01 EDT (History)
4 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1095594 1095595 1095596 (view as bug list)
Environment:
Last Closed: 2013-07-24 13:37:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: DP
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Amar Tumballi 2012-05-22 23:29:02 EDT
Description of problem:
Ref: RFC 6335
Use ports above 49152 for bricks as they are in the private range.
Comment 1 Amar Tumballi 2012-05-24 23:49:20 EDT
fixed by patch http://review.gluster.com/3339
Comment 2 Amar Tumballi 2012-06-01 02:54:01 EDT
the bug fix is only in upstream, not in release-3.3. Hence moving it out of the ON_QA, and setting MODIFIED (as a standard practice @ Red Hat)
Comment 3 Joe Julian 2014-05-08 02:01:39 EDT
This change lacks documentation.

Note You need to log in before you can comment on or make changes to this bug.